Obtain Authorized Transaction Details
Obtain authorized transaction details on a VCA for reporting & payment reconciliation
Authentication
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Headers
Query parameters
This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for oauth token generation
Request
Specifies the start date upto when the reports can be retrieved
Format:YYYY-MM-DD
Rules:
Start date should be less than end date.
Start date should not be earlier than create VCA date
StartDate and endDate can be up to 180 days in the past from the day of report requested and not future date
Specifies the end date upto when the reports can be retrieved
Format:YYYY-MM-DD
Rules:
End date should greater than the start date
StartDate and endDate can be up to 180 days in the past from the day of report requested and not future date
The virtual card account number to use for transactions.
Numeric field and no decimals allowed
Defines the time zone applicable for any date or time
UTC offset
Specifies the start time from when the reports can be retrieved
Format:HH:MM
Specifies the end time upto when the reports can be retrieved
Format:HH:MM
Specifies the nature of the transaction whether it was authorized or returned etc.
Possible Values:
All
Approved
Partial-Approved
Declined
Issuer-Declined
Request-Response
Advice-Response
Reversal-Response